WindowPoolInfo (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.kernel.management.WindowPoolInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.management
Class WindowPoolInfo

    java.lang.Object
      org.neo4j.kernel.management.WindowPoolInfo

All Implemented Interfaces:
  Serializable

    public final class WindowPoolInfo

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`WindowPoolInfo(String name, long memAvail, long memUsed, int windowCount, int windowSize, int hitCount, int missCount, int oomCount)`

Method Summary
`long` | `getAvailableMemory()`
`int` | `getNumberOfOutOfMemory()`
`int` | `getNumberOfWindows()`
`long` | `getUsedMemory()`
`int` | `getWindowHitCount()`
`int` | `getWindowMissCount()`
`String` | `getWindowPoolName()`
`int` | `getWindowSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowPoolInfo

    public WindowPoolInfo(String name,
                          long memAvail,
                          long memUsed,
                          int windowCount,
                          int windowSize,
                          int hitCount,
                          int missCount,
                          int oomCount)

Method Detail

### getWindowPoolName

    public String getWindowPoolName()

### getAvailableMemory

    public long getAvailableMemory()

### getUsedMemory

    public long getUsedMemory()

### getNumberOfWindows

    public int getNumberOfWindows()

### getWindowSize

    public int getWindowSize()

### getWindowHitCount

    public int getWindowHitCount()

### getWindowMissCount

    public int getWindowMissCount()

### getNumberOfOutOfMemory

    public int getNumberOfOutOfMemory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.